Subject: Patterson apricot?

From: [email-masked] (Bruce A. Moon)
Date: 15 Dec 93 15:09:59 GMT

Here's another test to see if this is a viable group. The current 
apricot of choice for commercial orchards  in California is the 
Patterson. However, I haven't found it any of the local bare root 
sources. Does anyone know why commercial growers are selecting it and 
where it is available?
-- Bruce Moon 
Rio Linda, CA